USN-5209-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-5209-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-5209-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-5209-1
Related
Published
2022-01-06T02:26:00.477914Z
Modified
2022-01-06T02:26:00.477914Z
Summary
linux, linux-aws, linux-aws-hwe, linux-azure-4.15, linux-dell300x, linux-gcp, linux-gcp-4.15, linux-hwe, linux-kvm, linux-oracle, linux-raspi2, linux-snapdragon vulnerabilities
Details

Nadav Amit discovered that the hugetlb implementation in the Linux kernel did not perform TLB flushes under certain conditions. A local attacker could use this to leak or alter data from other processes that use huge pages. (CVE-2021-4002)

It was discovered that a race condition existed in the timer implementation in the Linux kernel. A privileged attacker could use this to cause a denial of service. (CVE-2021-20317)

It was discovered that a race condition existed in the overlay file system implementation in the Linux kernel. A local attacker could use this to cause a denial of service (system crash). (CVE-2021-20321)

It was discovered that the NFC subsystem in the Linux kernel contained a use-after-free vulnerability in its NFC Controller Interface (NCI) implementation. A local attacker could possibly use this to cause a denial of service (system crash) or execute arbitrary code. (CVE-2021-3760)

It was discovered that an integer overflow could be triggered in the eBPF implementation in the Linux kernel when preallocating objects for stack maps. A privileged local attacker could use this to cause a denial of service or possibly execute arbitrary code. (CVE-2021-41864)

It was discovered that the ISDN CAPI implementation in the Linux kernel contained a race condition in certain situations that could trigger an array out-of-bounds bug. A privileged local attacker could possibly use this to cause a denial of service or execute arbitrary code. (CVE-2021-43389)

References

Affected packages

Ubuntu:Pro:14.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1129.142~14.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-extra-azure": "4.15.0.1129.102",
            "linux-signed-image-azure": "4.15.0.1129.102",
            "linux-azure-cloud-tools-4.15.0-1129": "4.15.0-1129.142~14.04.1",
            "linux-azure": "4.15.0.1129.102",
            "linux-buildinfo-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-signed-azure": "4.15.0.1129.102",
            "linux-image-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-tools-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-headers-azure": "4.15.0.1129.102",
            "linux-tools-azure": "4.15.0.1129.102",
            "linux-modules-extra-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-cloud-tools-azure": "4.15.0.1129.102",
            "linux-azure-tools-4.15.0-1129": "4.15.0-1129.142~14.04.1",
            "linux-image-azure": "4.15.0.1129.102",
            "linux-headers-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-cloud-tools-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-image-unsigned-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-modules-4.15.0-1129-azure": "4.15.0-1129.142~14.04.1",
            "linux-azure-headers-4.15.0-1129": "4.15.0-1129.142~14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / linux-gcp-4.15

Package

Name
linux-gcp-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1114.128

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-image-unsigned-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-modules-extra-gcp-lts-18.04": "4.15.0.1114.133",
            "linux-modules-extra-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-gcp-4.15-headers-4.15.0-1114": "4.15.0-1114.128",
            "linux-headers-gcp-lts-18.04": "4.15.0.1114.133",
            "linux-modules-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-image-gcp-lts-18.04": "4.15.0.1114.133",
            "linux-tools-gcp-lts-18.04": "4.15.0.1114.133",
            "linux-gcp-lts-18.04": "4.15.0.1114.133",
            "linux-buildinfo-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-tools-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-image-4.15.0-1114-gcp": "4.15.0-1114.128",
            "linux-gcp-4.15-tools-4.15.0-1114": "4.15.0-1114.128",
            "linux-headers-4.15.0-1114-gcp": "4.15.0-1114.128"
        }
    ]
}

Ubuntu:18.04:LTS / linux-dell300x

Package

Name
linux-dell300x

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1033.38

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-dell300x": "4.15.0.1033.35",
            "linux-dell300x": "4.15.0.1033.35",
            "linux-dell300x-headers-4.15.0-1033": "4.15.0-1033.38",
            "linux-headers-4.15.0-1033-dell300x": "4.15.0-1033.38",
            "linux-image-dell300x": "4.15.0.1033.35",
            "linux-tools-4.15.0-1033-dell300x": "4.15.0-1033.38",
            "linux-buildinfo-4.15.0-1033-dell300x": "4.15.0-1033.38",
            "linux-image-4.15.0-1033-dell300x": "4.15.0-1033.38",
            "linux-headers-dell300x": "4.15.0.1033.35",
            "linux-modules-4.15.0-1033-dell300x": "4.15.0-1033.38",
            "linux-dell300x-tools-4.15.0-1033": "4.15.0-1033.38",
            "linux-image-unsigned-4.15.0-1033-dell300x": "4.15.0-1033.38"
        }
    ]
}

Ubuntu:18.04:LTS / linux-kvm

Package

Name
linux-kvm

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1105.107

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-kvm": "4.15.0.1105.101",
            "linux-modules-4.15.0-1105-kvm": "4.15.0-1105.107",
            "linux-kvm": "4.15.0.1105.101",
            "linux-kvm-headers-4.15.0-1105": "4.15.0-1105.107",
            "linux-buildinfo-4.15.0-1105-kvm": "4.15.0-1105.107",
            "linux-image-4.15.0-1105-kvm": "4.15.0-1105.107",
            "linux-tools-kvm": "4.15.0.1105.101",
            "linux-headers-4.15.0-1105-kvm": "4.15.0-1105.107",
            "linux-kvm-tools-4.15.0-1105": "4.15.0-1105.107",
            "linux-image-kvm": "4.15.0.1105.101",
            "linux-tools-4.15.0-1105-kvm": "4.15.0-1105.107"
        }
    ]
}

Ubuntu:18.04:LTS / linux-snapdragon

Package

Name
linux-snapdragon

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1118.127

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-headers-snapdragon": "4.15.0.1118.121",
            "linux-snapdragon-headers-4.15.0-1118": "4.15.0-1118.127",
            "linux-image-4.15.0-1118-snapdragon": "4.15.0-1118.127",
            "linux-buildinfo-4.15.0-1118-snapdragon": "4.15.0-1118.127",
            "linux-tools-snapdragon": "4.15.0.1118.121",
            "linux-modules-4.15.0-1118-snapdragon": "4.15.0-1118.127",
            "linux-image-snapdragon": "4.15.0.1118.121",
            "linux-snapdragon-tools-4.15.0-1118": "4.15.0-1118.127",
            "linux-tools-4.15.0-1118-snapdragon": "4.15.0-1118.127",
            "linux-snapdragon": "4.15.0.1118.121",
            "linux-headers-4.15.0-1118-snapdragon": "4.15.0-1118.127"
        }
    ]
}

Ubuntu:18.04:LTS / linux-aws

Package

Name
linux-aws

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1118.125

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-modules-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-image-aws-lts-18.04": "4.15.0.1118.121",
            "linux-image-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-aws-tools-4.15.0-1118": "4.15.0-1118.125",
            "linux-aws-headers-4.15.0-1118": "4.15.0-1118.125",
            "linux-cloud-tools-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-headers-aws-lts-18.04": "4.15.0.1118.121",
            "linux-aws-lts-18.04": "4.15.0.1118.121",
            "linux-tools-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-tools-aws-lts-18.04": "4.15.0.1118.121",
            "linux-buildinfo-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-modules-extra-aws-lts-18.04": "4.15.0.1118.121",
            "linux-aws-cloud-tools-4.15.0-1118": "4.15.0-1118.125",
            "linux-headers-4.15.0-1118-aws": "4.15.0-1118.125",
            "linux-modules-extra-4.15.0-1118-aws": "4.15.0-1118.125"
        }
    ]
}

Ubuntu:18.04:LTS / linux-raspi2

Package

Name
linux-raspi2

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1101.108

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-raspi2-tools-4.15.0-1101": "4.15.0-1101.108",
            "linux-headers-raspi2": "4.15.0.1101.99",
            "linux-image-4.15.0-1101-raspi2": "4.15.0-1101.108",
            "linux-tools-raspi2": "4.15.0.1101.99",
            "linux-raspi2": "4.15.0.1101.99",
            "linux-buildinfo-4.15.0-1101-raspi2": "4.15.0-1101.108",
            "linux-raspi2-headers-4.15.0-1101": "4.15.0-1101.108",
            "linux-tools-4.15.0-1101-raspi2": "4.15.0-1101.108",
            "linux-image-raspi2": "4.15.0.1101.99",
            "linux-headers-4.15.0-1101-raspi2": "4.15.0-1101.108",
            "linux-modules-4.15.0-1101-raspi2": "4.15.0-1101.108"
        }
    ]
}

Ubuntu:18.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1085.93

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-tools-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-image-unsigned-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-headers-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-image-oracle-lts-18.04": "4.15.0.1085.95",
            "linux-oracle-tools-4.15.0-1085": "4.15.0-1085.93",
            "linux-buildinfo-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-modules-extra-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-image-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-oracle-headers-4.15.0-1085": "4.15.0-1085.93",
            "linux-signed-image-oracle-lts-18.04": "4.15.0.1085.95",
            "linux-oracle-lts-18.04": "4.15.0.1085.95",
            "linux-modules-4.15.0-1085-oracle": "4.15.0-1085.93",
            "linux-tools-oracle-lts-18.04": "4.15.0.1085.95",
            "linux-signed-oracle-lts-18.04": "4.15.0.1085.95",
            "linux-headers-oracle-lts-18.04": "4.15.0.1085.95"
        }
    ]
}

Ubuntu:18.04:LTS / linux

Package

Name
linux

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-166.174

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-cloud-tools-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-headers-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-cloud-tools-virtual": "4.15.0.166.155",
            "linux-cloud-tools-lowlatency": "4.15.0.166.155",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-modules-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.166.155",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-image-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-tools-virtual": "4.15.0.166.155",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.166.155",
            "linux-signed-image-lowlatency": "4.15.0.166.155",
            "linux-source": "4.15.0.166.155",
            "linux-image-extra-virtual": "4.15.0.166.155",
            "linux-tools-generic-lpae-hwe-16.04-edge": "4.15.0.166.155",
            "linux-cloud-tools-generic": "4.15.0.166.155",
            "linux-image-virtual": "4.15.0.166.155",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-tools-generic": "4.15.0.166.155",
            "linux-tools-4.15.0-166": "4.15.0-166.174",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-virtual": "4.15.0.166.155",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-headers-4.15.0-166-generic": "4.15.0-166.174",
            "linux-generic-hwe-16.04": "4.15.0.166.155",
            "linux-generic-lpae": "4.15.0.166.155",
            "linux-tools-generic-lpae-hwe-16.04": "4.15.0.166.155",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-crashdump": "4.15.0.166.155",
            "linux-generic-lpae-hwe-16.04-edge": "4.15.0.166.155",
            "linux-generic": "4.15.0.166.155",
            "linux-buildinfo-4.15.0-166-generic": "4.15.0-166.174",
            "linux-tools-4.15.0-166-generic-lpae": "4.15.0-166.174",
            "linux-tools-virtual-hwe-16.04": "4.15.0.166.155",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-image-4.15.0-166-generic-lpae": "4.15.0-166.174",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.166.155",
            "linux-headers-generic-lpae": "4.15.0.166.155",
            "linux-image-generic-lpae": "4.15.0.166.155",
            "linux-signed-image-generic": "4.15.0.166.155",
            "linux-tools-lowlatency": "4.15.0.166.155",
            "linux-signed-generic-hwe-16.04": "4.15.0.166.155",
            "linux-source-4.15.0": "4.15.0-166.174",
            "linux-cloud-tools-common": "4.15.0-166.174",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-libc-dev": "4.15.0-166.174",
            "linux-cloud-tools-4.15.0-166-generic": "4.15.0-166.174",
            "linux-headers-virtual-hwe-16.04": "4.15.0.166.155",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-doc": "4.15.0-166.174",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-tools-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-tools-generic-hwe-16.04": "4.15.0.166.155",
            "linux-image-unsigned-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-buildinfo-4.15.0-166-generic-lpae": "4.15.0-166.174",
            "linux-image-4.15.0-166-generic": "4.15.0-166.174",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-headers-generic": "4.15.0.166.155",
            "linux-tools-4.15.0-166-generic": "4.15.0-166.174",
            "linux-headers-lowlatency": "4.15.0.166.155",
            "linux-image-lowlatency": "4.15.0.166.155",
            "linux-modules-extra-4.15.0-166-generic": "4.15.0-166.174",
            "linux-cloud-tools-4.15.0-166": "4.15.0-166.174",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-headers-virtual": "4.15.0.166.155",
            "linux-image-generic-lpae-hwe-16.04": "4.15.0.166.155",
            "linux-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-headers-4.15.0-166": "4.15.0-166.174",
            "linux-tools-host": "4.15.0-166.174",
            "linux-generic-lpae-hwe-16.04": "4.15.0.166.155",
            "linux-image-unsigned-4.15.0-166-generic": "4.15.0-166.174",
            "linux-headers-generic-lpae-hwe-16.04-edge": "4.15.0.166.155",
            "linux-headers-4.15.0-166-generic-lpae": "4.15.0-166.174",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-signed-lowlatency": "4.15.0.166.155",
            "linux-tools-generic-lpae": "4.15.0.166.155",
            "linux-virtual-hwe-16.04": "4.15.0.166.155",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.166.155",
            "linux-headers-generic-lpae-hwe-16.04": "4.15.0.166.155",
            "linux-buildinfo-4.15.0-166-lowlatency": "4.15.0-166.174",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.166.155",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.166.155",
            "linux-image-generic-hwe-16.04": "4.15.0.166.155",
            "linux-headers-generic-hwe-16.04": "4.15.0.166.155",
            "linux-signed-generic": "4.15.0.166.155",
            "linux-image-generic-lpae-hwe-16.04-edge": "4.15.0.166.155",
            "linux-tools-common": "4.15.0-166.174",
            "linux-image-generic": "4.15.0.166.155",
            "linux-modules-4.15.0-166-generic-lpae": "4.15.0-166.174",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.166.155",
            "linux-modules-4.15.0-166-generic": "4.15.0-166.174",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.166.155",
            "linux-lowlatency": "4.15.0.166.155",
            "linux-image-virtual-hwe-16.04": "4.15.0.166.155"
        }
    ]
}

Ubuntu:18.04:LTS / linux-azure-4.15

Package

Name
linux-azure-4.15

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1129.142

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "linux-azure-4.15-cloud-tools-4.15.0-1129": "4.15.0-1129.142",
            "linux-signed-image-azure-lts-18.04": "4.15.0.1129.102",
            "linux-tools-azure-lts-18.04": "4.15.0.1129.102",
            "linux-azure-4.15-headers-4.15.0-1129": "4.15.0-1129.142",
            "linux-signed-azure-lts-18.04": "4.15.0.1129.102",
            "linux-buildinfo-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-image-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-azure-lts-18.04": "4.15.0.1129.102",
            "linux-image-azure-lts-18.04": "4.15.0.1129.102",
            "linux-tools-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-azure-4.15-tools-4.15.0-1129": "4.15.0-1129.142",
            "linux-modules-extra-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-cloud-tools-azure-lts-18.04": "4.15.0.1129.102",
            "linux-modules-extra-azure-lts-18.04": "4.15.0.1129.102",
            "linux-headers-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-cloud-tools-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-image-unsigned-4.15.0-1129-azure": "4.15.0-1129.142",
            "linux-headers-azure-lts-18.04": "4.15.0.1129.102",
            "linux-modules-4.15.0-1129-azure": "4.15.0-1129.142"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-aws-hwe

Package

Name
linux-aws-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1118.125~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-modules-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-image-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-cloud-tools-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-aws-headers-4.15.0-1118": "4.15.0-1118.125~16.04.1",
            "linux-aws-hwe-cloud-tools-4.15.0-1118": "4.15.0-1118.125~16.04.1",
            "linux-modules-extra-aws-hwe": "4.15.0.1118.108",
            "linux-tools-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-aws-hwe": "4.15.0.1118.108",
            "linux-buildinfo-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-headers-aws-hwe": "4.15.0.1118.108",
            "linux-aws-hwe-tools-4.15.0-1118": "4.15.0-1118.125~16.04.1",
            "linux-image-aws-hwe": "4.15.0.1118.108",
            "linux-aws-edge": "4.15.0.1118.108",
            "linux-headers-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1",
            "linux-tools-aws-hwe": "4.15.0.1118.108",
            "linux-modules-extra-4.15.0-1118-aws": "4.15.0-1118.125~16.04.1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-hwe

Package

Name
linux-hwe

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-166.174~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-headers-oem": "4.15.0.166.158",
            "linux-cloud-tools-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-cloud-tools-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-signed-image-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-signed-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-headers-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-tools-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-modules-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-cloud-tools-generic-hwe-16.04": "4.15.0.166.158",
            "linux-tools-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-tools-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-cloud-tools-virtual-hwe-16.04": "4.15.0.166.158",
            "linux-oem": "4.15.0.166.158",
            "linux-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-headers-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-cloud-tools-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-generic-hwe-16.04": "4.15.0.166.158",
            "linux-signed-image-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-headers-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-signed-image-oem": "4.15.0.166.158",
            "linux-signed-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-buildinfo-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-image-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-tools-virtual-hwe-16.04": "4.15.0.166.158",
            "linux-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-signed-image-generic-hwe-16.04": "4.15.0.166.158",
            "linux-signed-generic-hwe-16.04": "4.15.0.166.158",
            "linux-signed-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-tools-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-source-4.15.0": "4.15.0-166.174~16.04.1",
            "linux-tools-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-headers-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-headers-virtual-hwe-16.04": "4.15.0.166.158",
            "linux-cloud-tools-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-image-extra-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-tools-generic-hwe-16.04": "4.15.0.166.158",
            "linux-image-unsigned-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-image-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-headers-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-headers-4.15.0-166": "4.15.0-166.174~16.04.1",
            "linux-tools-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-tools-oem": "4.15.0.166.158",
            "linux-modules-extra-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-cloud-tools-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-oem": "4.15.0.166.158",
            "linux-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-hwe-cloud-tools-4.15.0-166": "4.15.0-166.174~16.04.1",
            "linux-image-unsigned-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-signed-oem": "4.15.0.166.158",
            "linux-headers-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-virtual-hwe-16.04": "4.15.0.166.158",
            "linux-signed-image-lowlatency-hwe-16.04": "4.15.0.166.158",
            "linux-image-extra-virtual-hwe-16.04": "4.15.0.166.158",
            "linux-buildinfo-4.15.0-166-lowlatency": "4.15.0-166.174~16.04.1",
            "linux-cloud-tools-virtual-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-generic-hwe-16.04": "4.15.0.166.158",
            "linux-headers-generic-hwe-16.04": "4.15.0.166.158",
            "linux-hwe-tools-4.15.0-166": "4.15.0-166.174~16.04.1",
            "linux-modules-4.15.0-166-generic": "4.15.0-166.174~16.04.1",
            "linux-image-lowlatency-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-generic-hwe-16.04-edge": "4.15.0.166.158",
            "linux-image-virtual-hwe-16.04": "4.15.0.166.158"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-gcp

Package

Name
linux-gcp

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1114.128~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-gcp-tools-4.15.0-1114": "4.15.0-1114.128~16.04.1",
            "linux-image-unsigned-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-tools-gcp": "4.15.0.1114.115",
            "linux-modules-extra-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-gcp-headers-4.15.0-1114": "4.15.0-1114.128~16.04.1",
            "linux-headers-gke": "4.15.0.1114.115",
            "linux-gcp": "4.15.0.1114.115",
            "linux-modules-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-gke": "4.15.0.1114.115",
            "linux-headers-gcp": "4.15.0.1114.115",
            "linux-tools-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-buildinfo-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-modules-extra-gcp": "4.15.0.1114.115",
            "linux-image-gcp": "4.15.0.1114.115",
            "linux-image-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-modules-extra-gke": "4.15.0.1114.115",
            "linux-tools-gke": "4.15.0.1114.115",
            "linux-headers-4.15.0-1114-gcp": "4.15.0-1114.128~16.04.1",
            "linux-image-gke": "4.15.0.1114.115"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-oracle

Package

Name
linux-oracle

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1085.93~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-tools-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-image-unsigned-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-headers-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-oracle-tools-4.15.0-1085": "4.15.0-1085.93~16.04.1",
            "linux-buildinfo-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-modules-extra-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-image-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-oracle-headers-4.15.0-1085": "4.15.0-1085.93~16.04.1",
            "linux-signed-image-oracle": "4.15.0.1085.73",
            "linux-signed-oracle": "4.15.0.1085.73",
            "linux-oracle": "4.15.0.1085.73",
            "linux-headers-oracle": "4.15.0.1085.73",
            "linux-modules-4.15.0-1085-oracle": "4.15.0-1085.93~16.04.1",
            "linux-tools-oracle": "4.15.0.1085.73",
            "linux-image-oracle": "4.15.0.1085.73"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / linux-azure

Package

Name
linux-azure

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
4.15.0-1129.142~16.04.1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "linux-signed-azure-edge": "4.15.0.1129.120",
            "linux-image-azure-edge": "4.15.0.1129.120",
            "linux-azure-cloud-tools-4.15.0-1129": "4.15.0-1129.142~16.04.1",
            "linux-signed-image-azure": "4.15.0.1129.120",
            "linux-modules-extra-azure": "4.15.0.1129.120",
            "linux-azure": "4.15.0.1129.120",
            "linux-buildinfo-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-signed-azure": "4.15.0.1129.120",
            "linux-tools-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-image-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-azure-edge": "4.15.0.1129.120",
            "linux-headers-azure-edge": "4.15.0.1129.120",
            "linux-headers-azure": "4.15.0.1129.120",
            "linux-tools-azure-edge": "4.15.0.1129.120",
            "linux-cloud-tools-azure": "4.15.0.1129.120",
            "linux-tools-azure": "4.15.0.1129.120",
            "linux-modules-extra-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-cloud-tools-azure-edge": "4.15.0.1129.120",
            "linux-azure-tools-4.15.0-1129": "4.15.0-1129.142~16.04.1",
            "linux-image-azure": "4.15.0.1129.120",
            "linux-headers-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-cloud-tools-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-image-unsigned-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-modules-4.15.0-1129-azure": "4.15.0-1129.142~16.04.1",
            "linux-azure-headers-4.15.0-1129": "4.15.0-1129.142~16.04.1",
            "linux-signed-image-azure-edge": "4.15.0.1129.120",
            "linux-modules-extra-azure-edge": "4.15.0.1129.120"
        }
    ]
}